# titles
Import: gimpclient



Function: MakeHeader title, mode="graphic"
    if mode == "text" or len(title) > 40:
        xtrans.output.write("<BR><BR><H1>%s</H1>\n" % title)
        return
    ghfname = re.sub("\W","_",title) + ".png"
    fullghfname = xtrans.targetdir+ghfname
    if not os.path.exists(fullghfname):
        gimp = gimpclient.GimpClient()
        gimp.open('localhost', 10008)
        try:
            gimp.do("""(script-fu-big-header-batch "%s" "times" 50 '(82 108 159) '(190 220 250) '(46 74 92)  '(0 0 0) 1 "%s")""" % (title, fullghfname))
        except:
            gimp.close()
            raise
        else: gimp.close()
    xtrans.output.write('<BR><H1 CLASS="graphic"><IMG BORDER="0" SRC="%s" ALT="%s"></H1>\n' % (ghfname, title))


Function: MakeSubHeader title, mode="graphic"
    if mode == "text" or len(title) > 50:
        xtrans.output.write("<H2>%s</H2>\n" % title)
        return
    ghfname = re.sub("\W","_",title) + ".png"
    fullghfname = xtrans.targetdir+ghfname
    if not os.path.exists(fullghfname):
        gimp = gimpclient.GimpClient()
        gimp.open('localhost', 10008)
        try:
            gimp.do("""(script-fu-small-header-batch "%s" "helvetica" 24 '(135 220 220) '(210 240 245) '(46 74 92)  '(0 0 0) 1 "%s")""" % (title, fullghfname))
        except:
            gimp.close()
            raise
        else: gimp.close()
    xtrans.output.write('<BR><H2 CLASS="graphic"><IMG BORDER="0" SRC="%s" ALT="%s"></H2>\n' % (ghfname, title))
